#ifndef _PNG_H
#define _PNG_H

//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// png.h - functions to read and write png files
//

#include "common.h"

uint32_t makepng(FILE *xml, FILE *png, uint8_t *data, uint32_t width, uint32_t height, uint32_t flags);
uint32_t readpng(const char *name, uint8_t **data, int flags, uint32_t *width, uint32_t *height);

// sprite data functions
uint32_t putspriterow(uint8_t *data, int flags, int y, int width, uint8_t *row);
uint32_t getspriterow(uint8_t *data, uint32_t size, int flags, int y, int width, uint8_t *row);


#endif // ndef _PNG_H
